package ro.ieval.unical;

import android.app.ActionBar;
import android.app.ActionBar.Tab;
import android.app.Fragment;
import android.app.FragmentTransaction;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class AddEventTabListener implements ActionBar.TabListener {
	public Fragment fragment;
    private Event ev;
    int tabId;

	public AddEventTabListener(final Fragment fragment,Event e,int tabId) {
		this.fragment = fragment;
        this.ev = e;
        this.tabId=tabId;
	}

	@Override
	public void onTabSelected(final Tab tab, final FragmentTransaction ft) {
		ft.replace(R.id.fragment_container, fragment);
	}

	@Override
	public void onTabUnselected(final Tab tab, final FragmentTransaction ft) {
        switch (tabId) {
            case 0:
                ev.title=fragment.getView().findViewById(R.id.eventtitle).toString();
                String start=fragment.getView().findViewById(R.id.date_start).toString()+ " " +
                             fragment.getView().findViewById(R.id.time_start).toString();
                String end=fragment.getView().findViewById(R.id.date_end).toString()+ " " +
                             fragment.getView().findViewById(R.id.time_end).toString();
                try {
                    Date s=new SimpleDateFormat("yyyy-MM-dd HH:mm").parse(start);
                    Date e=new SimpleDateFormat("yyyy-MM-dd HH:mm").parse(end);
                    ev.dtstart=s.getTime();
                    ev.dtend=s.getTime();
                } catch (ParseException e) {
                    e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
                }

                break;
            case 1:
                ev.description=fragment.getView().findViewById(R.id.description).toString();
                break;
            case 2:
                break;
        }
		ft.remove(fragment);
	}

	@Override
	public void onTabReselected(final Tab tab, final FragmentTransaction ft) {
		// TODO Auto-generated method stub

	}
}
