package ro.ieval.unical;

import java.util.GregorianCalendar;
import java.util.Locale;

import android.app.AlarmManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.view.View;
import android.view.ViewGroup;

final class Utils {
	private Utils(){ /* do nothing */ }

	public static void setEnabledRecursively(final View view, final boolean enabled){
		view.setEnabled(enabled);
		if(view instanceof ViewGroup){
			final ViewGroup group=(ViewGroup) view;
			for(int i=0;i<group.getChildCount();i++)
				setEnabledRecursively(group.getChildAt(i), enabled);
		}
	}

	public static String formatDate(final int year, final int month, final int day){
		return String.format(Locale.ENGLISH, "%4d-%02d-%02d", year, month, day);
	}
	
	public static void setAlarm(final GregorianCalendar cal, final Context context) {
		final PendingIntent pi = PendingIntent.getActivity(context, 1234, new Intent(context, AlarmReceiverActivity.class), PendingIntent.FLAG_CANCEL_CURRENT);
		final AlarmManager am = (AlarmManager)context.getSystemService(Context.ALARM_SERVICE);
		am.set(AlarmManager.RTC_WAKEUP, cal.getTimeInMillis(), pi);
	}
}
